New patch not for PPC Macintosh!

Mislan

Diabloii.Net Member
Today I tried to log in to my BattleNet account to play Diablo II LoD and was informed that my version (v 1.13 macintosh PPC Mac Os X 10.5) doesn't require the patch, but now I can't log in! I had been able to play until the 'new' 1.14 patch was released.

I'm still using a PPC Macintosh and v1.13 -- does this mean that I can no longer play Diablo II LoD online?

www.Battle.net/support doesn't seem to have any option for reporting Diablo II LoD issues of this nature.

Anyone else encounter this problem?
 
Top